Package Release Info

apache2-mod_perl-2.0.11-bp152.1.22

Update Info: Base Release
Available in Package Hub : 15 SP2

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

apache2-mod_perl
apache2-mod_perl-devel

Change Logs

Version: 2.0.10-bp150.2.4
* Fri Dec 30 2016 astieger@suse.com
- update to 2.0.10:
  * Automatically select the appropriate c89 option when modperl is
    being built with either gcc 5 or clang
  * Fix non-threaded Perl 5.22.x build and tests
  * Add support for Perl 5.22.x
    drop upstreamed mod_perl-add_support_for_perl_5.22.patch
* Mon Oct 03 2016 tchvatal@suse.com
- Remove unused icon and shorten the description a bit 1-2 migration
  is quite irelevant in these days
- Move tests to %check  phase
- Use proper group for devel subpackage
* Wed Dec 16 2015 vcizek@suse.com
- fix mod_perl with perl 5.22 (boo#945195)
  * add mod_perl-add_support_for_perl_5.22.patch
* Thu Aug 13 2015 schwab@suse.de
- Remove apache2 packaging bug workaround
* Tue Aug 04 2015 schwab@suse.de
- Force gnu89 inline semantics
- Disable tests only in QEMU user-space builds
- inline.patch: remove
* Tue Jul 28 2015 pgajdos@suse.com
- updated to 2.0.9: see Changes for details
  * dropped patches:
  - lfs-perl-5.14.patch
  - apache2-mod_perl-2.0.4-tests.diff
  - apache24-mod_authz_host.patch
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Fri Jun 26 2015 tjcw@physics.org
- turn off inlining for functions which need to be real symbols because they
  are called in a DSO
  * added inline.patch
* Mon Nov 03 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Wed Sep 17 2014 jsegitz@suse.com
- Changed access control statements in config file to use
  mod_authz_host (bnc#897005)
* Tue Sep 09 2014 vcizek@suse.com
- adapt test configuration for apache24 to fix build
  * use the new access control mechanisms from apache24
  * added apache24-mod_authz_host.patch
* Mon Jul 21 2014 vcizek@suse.com
- Linux::Pid is required by Apache2-SizeLimit (bnc#888117)
* Mon Aug 05 2013 coolo@suse.com
- add avoid-broken-provides.diff to avoid package providing
  HTTP::Request::Common, which it does not (only for testing)
* Tue Jul 16 2013 ro@suse.de
- change testsuite setup to fix build on factory:
  - do not load access_compat_module as it is builtin
  - do not load unixd_module as it is builtin
* Tue Jun 25 2013 coolo@suse.com
- update to version 2.0.8 (http24 branch as used by debian):
  Perl 5.16.3's fix for a rehash-based DoS makes it more difficult to invoke
  the workaround for the old hash collision attack, which breaks mod_perl's
  t/perl/hash_attack.t. Patch from rt.cpan.org #83916 improves the fix
  previously applied as revision 1455340. [Zefram]
  On Perl 5.17.6 and above, hash seeding has changed, and HvREHASH has
  disappeared. Patch to update mod_perl accordingly from rt.cpan.org #83921.
  [Zefram]
  Restore build with Perl 5.8.1, 5.8.2 etc: take care to use
  $Config{useithreads} rather than $Config{usethreads}, and supply definitions
  of Newx and Newxz as necessary. [Steve Hay]
  On Perl 5.17.9, t/apache/read2.t fails because an "uninitialized value"
  warning is generated for the buffer being autovivified. This is because
  the sv_setpvn() that's meant to vivify the buffer doesn't perform set
  magic; the warning is generated by the immediately following SvPV_force().
  Patch to fix this from rt.cpan.org #83922. [Zefram]
  Fix t/perl/hash_attack.t to work with Perl 5.14.4, 5.16.3 etc, which
  contain a fix for CVE-2013-1667 (memory exhaustion with arbitrary hash
  keys). This resolves rt.perl.org #116863, from where the patch was taken.
  [Hugo van der Sanden]
  use APR::Finfo instead of Perl's stat() in ModPerl::RegistryCooker to
  generate HTTP code 404 even if the requested filename contains newlines
  [Torsten]
- disable patch lfs-perl-5.14.patch as it no longer applies, but
  I can't find out if it's still need for ppc64 or if upstream's
  changes are good enough
* Sat Apr 06 2013 dimstar@opensuse.org
- Update to version 2.0.7+svn1448242 (http24 branch):
  + Fix build with Apache 2.4.
- Update to version 2.0.7:
  + Fix breakage caused by removal of PL_uid et al from perl 5.16.0.
- Drop patch-PL_uid.diff: fixed upstream.
- Adjust extra.conf setup for the test suite: include the
  nescessary modules needed to have a valid configuration for the
  test server: access_compat_module, authn_core_module,
  authz_core_module and unixd_module.
* Thu Oct 11 2012 coolo@suse.com
- buildrequire netcfg explicitly
* Thu May 31 2012 coolo@suse.com
- update to 2.0.6
  +Set the -apxs argument correctly when building from mod_perl.
  [Steve Hay]
  +Doc spelling fix
  [Nicholas Bamber]
  +Add Apache-Test 1.34 dependency.
  [Phred]
* Wed Feb 22 2012 dvaleev@suse.com
- do lfs. Fixes ppc64 build
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
Version: 2.0.11-bp150.3.3.1
* Sat Nov 16 2019 Andreas Stieger <andreas.stieger@gmx.de>
- Apache mod_perl 2.0.11:
  * CVE-2011-2767: Arbitrary Perl code execution in the context of
    the user account via a user-owned .htaccess (boo#1156944)
* Tue Jul 17 2018 pgajdos@suse.com
- restore process name after sv_setpv_mg() call [bsc#1091625]
  + apache2-mod_perl-prctl-short-name.patch